KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Ricostruisce la cache della configurazione di sistema.

SINTASSI

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track identificativo_menu] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRIZIONE

kbuildsycoca4, che fa parte degli strumenti da riga di comando di KDE, assicura il buon funzionamento di KDE leggendo tutti i file .desktop, .xml e .protocol per costruire una banca dati in formato binario.

Durante il suo funzionamento, KDE accede a questa banca dati per passare le informazioni di configurazione necessare per eseguire i programmi.

Questo strumento fa parte di ksycoca4, che significa KDE System Configuration Cache.

OPZIONI

--nosignal
    Non segnalare alle applicazioni di aggiornarsi

--noincremental
    Disabilita l'aggiornamento incrementale, rileggi tutto

--checkstamps
    Controlla data e ora dei file

--nocheckfiles
    Disabilita il controllo dei file (pericoloso)

--global
    Crea banca dati globale

--menutest
    Effettua soltanto la prova di generazione del menu

--track identificativo_menu
    Traccia l'identificativo del menu per scopi di debug

--help
    Mostra la guida alle opzioni

--help-qt
    Mostra le opzioni specifiche di Qt

--help-kde
    Mostra le opzioni specifiche di KDE

--help-all
    Mostra tutte le opzioni

--author
    Mostre le informazioni sull'autore

-v , --version
    Mostra le informazioni sulla versione

--license
    Mostra le informazioni sulla licenza

USO

Un modo normale di eseguire questo programma è semplicemente specificare il comando kbuildsycoca4 alla riga di comando.

FILE

/var/tmp/kde-$USER/ksycoca4
    La cartella predefinita dove si tengono i file della cache.

VARIABILI D'AMBIENTE

$KDEDIRS
    Indica quali cartelle fanno parte dell'installazione di KDE

$KDESYCOCA
    Specifica il percorso al file di banca dati sycoca

VEDI ANCHE

kdeinit4

ERRORI

Probabilmente ci sono un sacco di errori. Usa il sito bugs.kde.org[1] per segnalarli.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  il sito bugs.kde.org
    http://bugs.kde.org